Page MenuHomePhabricator

Newcomer tasks: fix and migrate JSON config pages
Closed, ResolvedPublic

Description

Right now, the configurations of which maintenance templates are used for which difficulty levels are stored on mediawiki.org, and they're not standardized. They should be:

  1. Standardized to be the same for each language.
  2. Stored on the target wikis, instead of mediawiki.org.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterGrowthExperiments: Move newcomer tasks JSON config from mw.org to local wikis
mediawiki/extensions/GrowthExperiments : wmf/1.35.0-wmf.5RemotePageConfigurationLoader: Make non-remote titles work
mediawiki/extensions/GrowthExperiments : masterRemotePageConfigurationLoader: Make non-remote titles work

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2019, 6:41 PM

This is Ready for Development.

Tgr added a comment.Nov 4 2019, 7:58 PM

Once JSON pages are on the target wikis, there should also be a LocalPageConfigurationLoader which loads them in the normal way. That's T235717: Newcomer tasks: non-HTTP-based ConfigurationLoader and TaskSuggester (and lower priority since the current loading method is ugly but functional).

Standardized to be the same for each language.

This is done now, except that kowiki doesn't have an entry for links because none is supplied on the spreadsheet.

Stored on the target wikis, instead of mediawiki.org

I assume we want these pages to live in the MediaWiki namespace, so it would be something like {localWiki}.wikipedia.org/wiki/MediaWiki:GrowthExperiments/NewcomerTasks/TaskTypes.json.

I don't have privileges to create these pages, so I think once we're reasonably sure that the pages are finalized we can ask the ambassadors to create those pages by copying the contents from e.g. https://www.mediawiki.org/wiki/Growth/Personalized_first_day/Newcomer_tasks/Prototype/templates/{lang}.json

Tgr added a comment.Nov 6 2019, 12:15 AM

I can create them if that's easier.

By the way, do we want to limit who can edit them (e.g. limit it to interface admins instead of sysops)?

By the way, do we want to limit who can edit them (e.g. limit it to interface admins instead of sysops)?

Yes, interface admins are the ones supposed to handle this.

Tgr added a comment.Nov 7 2019, 10:48 AM

JSON pages can be edited by sysops and interface editors as well, so in that case we should have a task about restricting it.

JSON pages can be edited by sysops and interface editors as well, so in that case we should have a task about restricting it.

In T237301#5643439, @Trizek-WF wrote:

By the way, do we want to limit who can edit them (e.g. limit it to interface admins instead of sysops)?

Yes, interface admins are the ones supposed to handle this.

I think pure sysops are okay. Interface administrators are supposed to handle JS/CSS only. If we restrict this to iadmins as well, we can get to a point when a community will appoint iadmin not to manage JS/CSS, but for some other purpose. That's also why no wiki has (and will have) other permissions assigned to iadmins.

Martin's comment makes total sense. I withdraw mine.

Moving off sprint board in favor of Newcomer Tasks V1.0 tasks.

MMiller_WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.Wed, Nov 13, 7:51 AM

Change 552353 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Move newcomer tasks JSON config from mw.org to local wikis

https://gerrit.wikimedia.org/r/552353

Catrope claimed this task.Thu, Nov 21, 11:01 PM

I'm going to move these to Wikipedia:NewcomerTasks.json. Not putting them in the MediaWiki namespace because 1) it's not a message and 2) we want to protect these to be sysop-only, rather than interfaceadmin-only, as @Urbanecm pointed out.

Tgr added a comment.Thu, Nov 21, 11:06 PM

JSON pages in the MediaWiki namespace are sysop-only. JSON pages in the Wikipedia namespace are editable by anyone, which seems a bit risky.

JSON pages in the MediaWiki namespace are sysop-only. JSON pages in the Wikipedia namespace are editable by anyone, which seems a bit risky.

I created each of these and protected them manually. But you make a good point that by putting them in the MW namespace they'll have some protection by default.

Updated patch to use MediaWiki:NewcomerTasks.json instead.

Turns out this was better anyway, because *.json pages in the MediaWiki namespace automatically get a JSON content model upon creation, and in the Wikipedia namespace that doesn't happen. You can use Special:ChangeContentModel, but that's an extra step that's not that easy to do.

Change 552353 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Move newcomer tasks JSON config from mw.org to local wikis

https://gerrit.wikimedia.org/r/552353

Tgr added a comment.Thu, Nov 21, 11:17 PM

I created each of these and protected them manually.

Sorry, did not notice that. Still, MediaWiki: is kind of standard for JSON files, and it's harder to make a mistake when setting up future wikis that way. (interface-admin is required for CSS/JS only, so that's not an issue.)

Change 552356 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] RemotePageConfigurationLoader: Make non-remote titles work

https://gerrit.wikimedia.org/r/552356

Change 552356 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] RemotePageConfigurationLoader: Make non-remote titles work

https://gerrit.wikimedia.org/r/552356

Change 552360 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.5] RemotePageConfigurationLoader: Make non-remote titles work

https://gerrit.wikimedia.org/r/552360

Change 552360 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.5] RemotePageConfigurationLoader: Make non-remote titles work

https://gerrit.wikimedia.org/r/552360

Mentioned in SAL (#wikimedia-operations) [2019-11-22T00:18:56Z] <catrope@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/GrowthExperiments/: Make non-remote titles work in RemotePageConfigurationLoader (T237301) (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-11-22T00:20:39Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Move newcomer tasks JSON config from mw.org to local wikis (T237301) (duration: 00m 52s)

Etonkovidova closed this task as Resolved.Wed, Dec 11, 12:38 AM